Subject: Re: [PATCH v9 0/8] thunderbolt: Introducing Thunderbolt(TM) Networking

From: "[email-masked]" <[email-masked]>
Date: Mon, 21 Nov 2016 13:22:41 +0100

On Sun, Nov 20, 2016 at 06:30:19AM +0000, Levy, Amir (Jer) wrote:
> On Fri, Nov 18 2016, 12:07 PM, [email-masked] wrote:
> > On Fri, Nov 18, 2016 at 08:48:36AM +0000, Levy, Amir (Jer) wrote:
> > > > BTW, it is quite a shame that the Thunderbolt firmware version can't
> > > > be read from Linux.
> > > >
> > >
> > > This is WIP, once this patch will be upstream, we will be able to
> > > focus more on aligning Linux with the Thunderbolt features that we have
> > for windows.
> > 
> > Why is this patch somehow holding that work back?  You aren't just sitting
> > around waiting for people to review this and not doing anything else, right?
> > Is there some basic building block in these patches that your firmware
> > download code is going to rely on?
> > 
> > confused,
> > 
> > greg k-h
> 
> All the Thunderbolt SW features (including networking and FW update) depend 
> on the communication with FW, which is patch 3/8 in the series.
> The patch also sets up a generic netlink for user space communication.

It's that "generic netlink" connection that I really want a whole lot of
revewers to read over as it's very unusual and "different" from all
other driver subsystems.

thanks,

greg k-h